<template>
  <Chart type="doughnut" :width="width" :height="height" :data="data" :options="options" />
</template>

<script setup>
  import {
    computed,
    ref,
    onMounted
  } from "vue";
  import {
    useDarkModeStore
  } from "@/stores/dark-mode";
  import {
    useColorSchemeStore
  } from "@/stores/color-scheme";
  import {
    colors
  } from "@/utils/colors";
  import axios from "axios"

  const url = "http://localhost:3030/v1/dashboard"
  // const url = "http://10.175.11.75:82/v1/dashboard"
  const props = defineProps({
    width: {
      type: Number,
      default: 0,
    },
    height: {
      type: Number,
      default: 0,
    },
    success: {
      type: Number,
      default: 0,
    },
    schedulled: {
      type: Number,
      default: 0,
    }
  });

  const darkMode = computed(() => useDarkModeStore().darkMode);
  const colorScheme = computed(() => useColorSchemeStore().colorScheme);

  const success = ref(0)
  const scheduled = ref(0)
  const getGraphEvent = async () => {
    const res = await axios.get(url + "/donut")
    success.value = res.data.data.success
    scheduled.value = res.data.data.scheduled
  }

  onMounted(getGraphEvent)

  const chartColors = () => [
    colors.warning(0.9),
    colors.primary(0.9),
  ];
  const data = computed(() => {
    return {
      labels: ["Success", "Scheduled"],
      datasets: [{
        data: [success.value,scheduled.value],
        backgroundColor: colorScheme.value ? chartColors() : "",
        hoverBackgroundColor: colorScheme.value ? chartColors() : "",
        borderWidth: 5,
        borderColor: darkMode.value ? colors.darkmode[700]() : colors.white,
      }, ],
    };
  });

  const options = computed(() => {
    return {
      cutoutPercentage: 80,
    };
  });
</script>